Stack (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class Stack<E>

    java.lang.Object
      java.util.Vector<E>
          java.util.Stack<E>

All Implemented Interfaces:
  Iterable<E>

    @TransactionType(value=SUPPORTS)
    public class Stack<E>

extends Vector<E>

The `Stack` class represents a last-in-first-out (LIFO) stack of objects. It extends class `Vector` with five operations that allow a vector to be treated as a stack. The usual `push` and `pop` operations are provided, as well as a method to `peek` at the top item on the stack, a method to test for whether the stack is `empty`, and a method to `search` the stack for an item and discover how far it is from the top.

When a stack is first created, it contains no items.

This class is thread-safe (synchronzied).

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData, modCount`

Constructor Summary
`Stack()` Creates an empty Stack.

Method Summary
`boolean` | `empty()` Tests if this stack is empty.
`E` | `peek()` Looks at the object at the top of this stack without removing it from the stack.
`E` | `pop()` Removes the object at the top of this stack and returns that object as the value of this function.
`E` | `push(E item)` Pushes an item onto the top of this stack.
`int` | `search(Object o)` Returns the 1-based position where an object is on this stack.

Methods inherited from class java.util.Vector
`addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, setSize, size, toString, trimToSize`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stack

    public Stack()

  Creates an empty Stack.

Method Detail

### push

    public E push(E item)

  Pushes an item onto the top of this stack. This has exactly the same effect as:

  >      addElement(item)

  Parameters:
    `item` - the item to be pushed onto this stack.
  Returns:
    the `item` argument.
  See Also:
    `Vector.addElement(E)`

### pop

    public E pop()

  Removes the object at the top of this stack and returns that object as the value of this function.

  Returns:
    The object at the top of this stack (the last item of the `Vector` object).
  Throws:
    `EmptyStackException` - if this stack is empty.

### peek

    public E peek()

  Looks at the object at the top of this stack without removing it from the stack.

  Returns:
    the object at the top of this stack (the last item of the `Vector` object).
  Throws:
    `EmptyStackException` - if this stack is empty.

### empty

    public boolean empty()

  Tests if this stack is empty.

  Returns:
    `true` if and only if this stack contains no items; `false` otherwise.

### search

    public int search(Object o)

  Returns the 1-based position where an object is on this stack. If the object `o` occurs as an item in this stack, this method returns the distance from the top of the stack of the occurrence nearest the top of the stack; the topmost item on the stack is considered to be at distance `1`. The `equals` method is used to compare `o` to the items in this stack.

  Parameters:
    `o` - the desired object.
  Returns:
    the 1-based position from the top of the stack where the object is located; the return value `-1` indicates that the object is not on the stack.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.